=== debian/changelog ===
plan (1.10.1-5) unstable; urgency=low

  * Correct Vcs-Browser URL.
  * Correct patch 80_cmdappend_year.patch to use 'long long' instead of
    'long' and assert that the type is long enough to handle a 12 digit
    decimal number.

 -- Petter Reinholdtsen <pere@debian.org>  Mon, 24 Feb 2014 13:56:19 +0100

plan (1.10.1-4) unstable; urgency=low

  * Add watch file from
    http://qa.debian.org/cgi-bin/watchfile.cgi?package=plan.
  * Fix typo in postinst explanation on how to enable netplan.
  * Rewrite init.d/netplan to use /lib/init/init-d-script if available,
    and included version if it is not.
  * Updated debhelper compat level from 7 to 9.
  * Switch source to deb format 3.0 (quilt).
  * Add patch 90_manpagetypo.patch fixing typos in manual pages.
    Thanks lintian.
  * Add patch 91_warnings.patch to get rid of some compile warnings.
  * Add build-indep and build-arch rules targets.

 -- Petter Reinholdtsen <pere@debian.org>  Sat, 22 Feb 2014 09:46:13 +0100

plan (1.10.1-3) unstable; urgency=low

  * Add package to collab-maint git, and add VCS URLs to control file.
  * Correct package description, remove LessTif2 reference.
  * Make sure to create /etc/plan before postinst try to add a file
    in the directory (Closes: #729257).
  * Add desktop menu file.
  * Change patch system from dpatch to quilt.  Refresh all patches.
  * Add ${misc:Depends} as netplan dependency.  Thanks lintian.
  * Correct /usr/doc/ to /usr/share/doc/ in README.Debian for plan.
    Thanks lintian.
  * Update standards-version from 3.7.3 to 3.9.5.  No changes needed.
  * Add patch 20_hardening.patch to make it possible to build source
    with hardening flags and enable the hardening flags.
  * Add patch 80_cmdappend_year.patch to make it possible to specify
    year when appending new events using the command line interface.

 -- Petter Reinholdtsen <pere@debian.org>  Fri, 21 Feb 2014 22:16:29 +0100

plan (1.10.1-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Transition from lesstif2 to motif (Closes: #714665).

 -- Luk Claes <luk@debian.org>  Sat, 14 Sep 2013 17:50:19 +0200

plan (1.10.1-2) unstable; urgency=low

  * Change build dependency x-dev go x11proto-core-dev (Closes: #515388).
  * Move to debhelper 7.
  * Rebuilding with newer libraries (Closes: #431553).
  * Add homepage url to control file.
  * Add $syslog as init.d dependency for netplan.
  * Achnowledge and integrate NMU.

 -- Petter Reinholdtsen <pere@debian.org>  Sun, 11 Oct 2009 11:09:29 +0200

plan (1.10.1-1.2) unstable; urgency=low

  * Non-maintainer upload.
  * Fix pending l10n issues. Debconf translations:
    - Spanish. Closes: #500389
    - Italian. Closes: #503902
    - Danish. Closes: #503970

 -- Christian Perrier <bubulle@debian.org>  Fri, 31 Oct 2008 07:09:37 +0100

plan (1.10.1-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix pending l10n bugs
  * Debconf translations:
    - Portuguese. Closes: #487860,#489819
    - Finnish. Closes: #496303
    - Basque. Closes: #496877

 -- Christian Perrier <bubulle@debian.org>  Thu, 04 Sep 2008 09:15:35 +0200

plan (1.10.1-1) unstable; urgency=low

  * New upstream release.
    - Fix bug in holiday file parser (Closes: #369919).
    - Fix wrong Mother's day definition in French holiday file
      (Closes: #369927).
  * New patch 62_no_hardcoded_wordlength to remove -m32 from build
    flags, to avoid build error on alpha and mips.

 -- Petter Reinholdtsen <pere@debian.org>  Tue, 25 Dec 2007 11:36:39 +0100

plan (1.10-1) unstable; urgency=low

  * New upstream release (Closes: #431005)
    - Fix buffer overflow in language parser (Closes: #416382).
  * Move to debhelper compat level 4.  Updated rules file to cope with it.
  * Acknowledge NMUs (Closes: #367168, #374249)
  * Add LSB header with dependency information in init.d/netplan.
  * New patch 51_kfreebsd to fix the build on kfreebsd
    (Closes: #414130).
  * New patch 61_nostrip to make sure the nostrip build option
    work. (Closes: #437776)
  * Updated standards-version from 3.6.2 to 3.7.3.  No changes needed.
  * Changed menu item section from "Apps/Tools" to "Applications/Data
    Management", trying to adjust to the new menu policy.
  * Added Dutch debconf translation from Bart
    Cornelis (Closes: #418406).
  * Added Portuguese debconf translation from Ricardo
    Silva (Closes: #420082).

 -- Petter Reinholdtsen <pere@debian.org>  Tue, 25 Dec 2007 00:47:27 +0100

plan (1.9-6.2) unstable; urgency=low

  * Non-maintainer upload to fix pending l10n issued.
  * Debconf translations:
    - Russian. Closes: #367168

 -- Christian Perrier <bubulle@debian.org>  Sat, 10 Feb 2007 18:11:57 +0100

plan (1.9-6.1) unstable; urgency=low

  * Non-maintainer upload.
  * lesstif1 is deprecated, transition to lesstif2 (Closes: #374249)

 -- Kai Hendry <hendry@iki.fi>  Tue, 27 Jun 2006 10:08:03 +0900

plan (1.9-6) unstable; urgency=low

  * Add forgotten build dependecy libxpm-dev.

 -- Petter Reinholdtsen <pere@debian.org>  Wed,  4 Jan 2006 00:02:50 +0100

plan (1.9-5) unstable; urgency=low

  * Change build depend from xlibs-dev to "libx11-dev, libxmu-dev, libxt-dev,
    x-dev" because xlibs-dev is being removed. (Closes: #345579)

 -- Petter Reinholdtsen <pere@debian.org>  Tue,  3 Jan 2006 22:40:37 +0100

plan (1.9-4) unstable; urgency=low

  * New patch 70_no_ngroups_max.dpatch trying to avoid allocating the huge
    memory block in netplan with NGROUPS_MAX=65535. (Closes: #334351)
  * New patch 41_prototypes.dpatch adding ANSI C prototypes to get rid
    of some compile time warnings.
  * New patch debian/patches/71_nclients_doc.dpatch to document how
    the nclient variable in netplan is calculated.
  * Debconf translations:
    - Added Swedish (sv.po) by Daniel Nylander (Closes: #334143)

 -- Petter Reinholdtsen <pere@debian.org>  Sun,  1 Jan 2006 11:41:43 +0100

plan (1.9-3) unstable; urgency=low

  * Add 30_holiday_bavarian.dpatch to fix typos in the  Bavarian

