=== debian/control ===
Source: plan
Section: misc
Priority: optional
Maintainer: Petter Reinholdtsen <pere@debian.org>
Build-Depends: debhelper (>= 9), quilt, libmotif-dev, flex (>= 2.5.4a-17), bison, x11proto-core-dev, libx11-dev, libxmu-dev, libxt-dev, libxpm-dev
Standards-Version: 3.9.5
Homepage: http://www.bitrot.de/plan.html
Vcs-Git: git://git.debian.org/collab-maint/plan
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/plan.git

Package: plan
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: netplan
Description: X/Motif day planner
 Plan is a schedule planner based on X/Motif. It displays a month calendar
 similar to xcal, but every day box is large enough to show appointments in
 small print. By pressing on a day box, the appointments for that day can be
 listed and edited. Appointments are entered with the following information
 (everything except the time is optional):
 .
  - the date, time, and length of the appointment,
  - an optional text message to be printed,
  - an optional script to be executed,
  - early-warn and late-warn triggers that precede the alarm time,
  - repetitions: [n-th] weekdays, days-of-the-month, every n days, yearly,
  - optional fast command-line appointment entry,
  - flexible ways to specify holidays and vacations,
  - extensive context help,
  - multiuser capability using the netplan server, provided by the netplan
    package.

Package: netplan
Architecture: any
Depends: adduser (>= 3.21), ${shlibs:Depends}, ${misc:Depends}
Conflicts: plan (<< 1.7.1-1)
Replaces: plan (<< 1.7.1-1)
Suggests: plan
Description: network server for `plan'
 Plan is a schedule planner based on X/Motif.
 .
 Netplan adds to plan multiuser capability using an IP server.
 .
 WARNING: the best level of authentication offered by netplan in
 this version is identd.  That's quite weak, so watch the manpage and
 tune the config carefully.
