=== debian/watch ===
version=3
opts=uversionmangle=s/^(\S+\.linux)/0.0.$1/ \
http://www.bitrot.de/plan.html \
(?:|.*/)plan(?:[_\-]v?|)(\d\S*)\.(?:tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz)
